MethodReference (EL 5.0 API Documentation - Apache Tomcat 10.1.16)
Description: declaration: package: jakarta.el, class: MethodReference

Package jakarta.el

# Class MethodReference

java.lang.Object
jakarta.el.MethodReference

public class MethodReference extends Object
Provides information about the method to which a method expression resolves.

Since:
  EL 5.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodReference(Object base, MethodInfo methodInfo, Annotation[] annotations, Object[] evaluatedParameters)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Annotation[]`
  `getAnnotations()`
  Obtain the annotations on the method to which the associated expression resolves.
  `Object`
  `getBase()`
  Obtain the base object on which the method will be invoked.
  `Object[]`
  `getEvaluatedParameters()`
  Obtain the evaluated parameter values that will be passed to the method to which the associated expression resolves.
  `MethodInfo`
  `getMethodInfo()`
  Obtain the `MethodInfo` for the `MethodExpression` for which this `MethodReference` has been generated.
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodReference

    public MethodReference(Object base, MethodInfo methodInfo, Annotation[] annotations, Object[] evaluatedParameters)

- ## Method Details

  - ### getBase

    public Object getBase()
    Obtain the base object on which the method will be invoked.
    Returns:
      The base object on which the method will be invoked or `null` for literal method expressions.

  - ### getMethodInfo

    public MethodInfo getMethodInfo()
    Obtain the `MethodInfo` for the `MethodExpression` for which this `MethodReference` has been generated.
    Returns:
      The `MethodInfo` for the `MethodExpression` for which this `MethodReference` has been generated.

  - ### getAnnotations

    public Annotation[] getAnnotations()
    Obtain the annotations on the method to which the associated expression resolves.
    Returns:
      The annotations on the method to which the associated expression resolves. If the are no annotations, then an empty array is returned.

  - ### getEvaluatedParameters

    public Object[] getEvaluatedParameters()
    Obtain the evaluated parameter values that will be passed to the method to which the associated expression resolves.
    Returns:
      The evaluated parameters.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`